=== debian/changelog ===
tlp (0.7-1) unstable; urgency=low

  [ Thomas Koch ]
  * New upstream release
  * Add patch (from upstream):
    - 0001-Issue-124-tlp-recalibrate-fix-exitcode-check.patch
  * debian/rules: support for non-systemd installs w/ pm-utils
  * debian/control:
    - Add depends: pciutils, usbutils
    - Remove depends: util-linux (essential package)
    - Long description updated
  * debian/tlp.init: add option "status"
  * debian/tlp.postinst: consider pm-utils dirs not present

 -- Thomas Koch <linrunner@gmx.net>  Thu, 26 Feb 2015 18:51:42 +0100

tlp (0.6-1) unstable; urgency=low

  [ Thomas Koch ]
  * New upstream release
  * debian/rules: systemd support
  * debian/control:
    - Remove depends: pm-utils
    - Add depends: hdparm, iw | wireless-tools, rfkill, util-linux
    - Add suggests: acpi-call-dkms
  * debian/tlp.postinst/postrm: mask/unmask systemd-rfkill@.service
  * debian/patches/* removed (changes are in upstream now)

  [ Andreas Tille ]
  * Add Build-Depends: dh-systemd

 -- Thomas Koch <linrunner@gmx.net>  Sat, 11 Oct 2014 22:42:24 +0200

tlp (0.5-1) unstable; urgency=low

  * Initial Debian package submission (Closes: #711471).

 -- Thomas Koch <linrunner@gmx.net>  Sun, 31 Aug 2014 19:12:42 +0200
