=== debian/control ===
Source: tlp
Maintainer: Thomas Koch <linrunner@gmx.net>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-systemd
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tlp.git
Vcs-Git: git://anonscm.debian.org/collab-maint/tlp.git
Homepage: http://linrunner.de/tlp

Package: tlp
Architecture: all
Depends: ${misc:Depends},
         hdparm,
         iw | wireless-tools,
         pciutils,
         rfkill,
         usbutils
Recommends: tlp-rdw,
            ethtool,
            smartmontools
Suggests: tp-smapi-dkms,
          acpi-call-dkms
Conflicts: laptop-mode-tools
Description: Save battery power on laptops
 TLP is an advanced power management tool for Linux. It comes with a
 default configuration already optimized for battery life. At the same
 time it is highly customizable to fulfil specific user requirements.
 .
 TLP supplies separate settings profiles for AC and battery power and can
 enable or disable bluetooth, WiFi and WWAN radio devices upon system startup.
 .
 For ThinkPads it provides a unified way to configure charging thresholds and
 recalibrate the battery for all models which support it (via tp-smapi or
 acpi-call).
 .
 TLP is a pure command line tool with automated background tasks, it
 does not contain a GUI.

Package: tlp-rdw
Architecture: all
Depends: ${misc:Depends},
         network-manager,
         tlp
Description: Radio device wizard
 Radio device wizard is an add-on to TLP. It provides event based
 switching of
  - bluetooth, wifi, wwan radio devices
  - upon network connect/disconnect
  - and dock/undock.
