=== debian/changelog ===
tlp (0.8-1) unstable; urgency=low

  [ Thomas Koch ]
  * New upstream release
  * debian/control:
    - Add Recommends: linux-tools
    - New Maintainer (Raphaël Halimi)
  * debian/tlp.maintscript (new):
    - add rm_conffile /etc/bash_completion.d/tlp
      (upstream moved file to /usr/share/bash-completion/completions/)

  [ Raphaël Halimi ]
  * Remove debian/patches

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 11 Aug 2015 19:53:19 +0200
