=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: tlp
-Maintainer: Thomas Koch <linrunner@gmx.net>
+Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -19,6 +19,7 @@
          usbutils
 Recommends: tlp-rdw,
             ethtool,
+            linux-tools,
             smartmontools
 Suggests: tp-smapi-dkms,
           acpi-call-dkms
