=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/TLP-$1\.tar\.gz/ \
  https://github.com/linrunner/TLP/tags .*/v?(\d\S*)\.tar\.gz
