## tlp 0.9

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,16 @@
 # Makefile for TLP
 
-# Important: solely changing destination paths via parameter will
-#   render the installation unusable. You have to change several
-#   definitions and absolute paths in scripts too!
-
 # Evaluate parameters
-TLP_LIBDIR ?= /usr/lib
 TLP_SBIN   ?= /usr/sbin
 TLP_BIN    ?= /usr/bin
-TLP_TLIB    = $(TLP_LIBDIR)/tlp-pm
-TLP_PLIB    = $(TLP_LIBDIR)/pm-utils
+TLP_TLIB   ?= /usr/share/tlp-pm
+TLP_PLIB   ?= /usr/lib/pm-utils
 TLP_ULIB   ?= /lib/udev
-TLP_ACPI   ?= /etc/acpi
 TLP_NMDSP  ?= /etc/NetworkManager/dispatcher.d
 TLP_CONF   ?= /etc/default/tlp
 TLP_SYSD   ?= /lib/systemd/system
 TLP_SHCPL  ?= /usr/share/bash-completion/completions
+TLP_MAN    ?= /usr/share/man
 
 # Catenate DESTDIR to paths
 _SBIN  = $(DESTDIR)$(TLP_SBIN)
@@ -23,20 +18,45 @@
 _TLIB  = $(DESTDIR)$(TLP_TLIB)
 _PLIB  = $(DESTDIR)$(TLP_PLIB)
 _ULIB  = $(DESTDIR)$(TLP_ULIB)
-_ACPI  = $(DESTDIR)$(TLP_ACPI)
 _NMDSP = $(DESTDIR)$(TLP_NMDSP)
 _CONF  = $(DESTDIR)$(TLP_CONF)
 _SYSD  = $(DESTDIR)$(TLP_SYSD)
 _SHCPL = $(DESTDIR)$(TLP_SHCPL)
+_MAN   = $(DESTDIR)$(TLP_MAN)
+
+SED = sed \
+	-e "s|@TLP_SBIN@|$(TLP_SBIN)|g" \
+	-e "s|@TLP_TLIB@|$(TLP_TLIB)|g" \
+	-e "s|@TLP_PLIB@|$(TLP_PLIB)|g" \
+	-e "s|@TLP_ULIB@|$(TLP_ULIB)|g" \
+	-e "s|@TLP_CONF@|$(TLP_CONF)|g"
+
+INFILES = \
+	tlp \
+	tlp-functions \
+	tlp-nop \
+	tlp-rdw-nm \
+	tlp-rdw.rules \
+	tlp-rdw-udev \
+	tlp-rf \
+	tlp.rules \
+	tlp-run-on \
+	tlp.service \
+	tlp-sleep.service \
+	tlp-stat \
+	tlp.upstart \
+	tlp-usb-udev
 
 # Make targets
-all:
-	@true
+all: $(INFILES)
+
+$(INFILES): %: %.in
+	$(SED) $< > $@
 
 clean:
-	@true
+	rm -f $(INFILES)
 
-install-tlp:
+install-tlp: all
 	# Package tlp
 	install -D -m 755 tlp $(_SBIN)/tlp
 	install -D -m 755 tlp-rf $(_BIN)/bluetooth
@@ -52,7 +72,6 @@
 endif
 	install -D -m 755 tlp-functions $(_TLIB)/tlp-functions
 	install -m 755 tlp-rf-func $(_TLIB)/
-	install -m 755 tlp-nop $(_TLIB)/
 	install -D -m 755 tlp-usb-udev $(_ULIB)/tlp-usb-udev
 	install -D -m 644 tlp.rules $(_ULIB)/rules.d/85-tlp.rules
 	[ -f $(_CONF) ] || install -D -m 644 default $(_CONF)
@@ -64,19 +83,29 @@
 	install -m 644 tlp-sleep.service $(_SYSD)/
 endif
 ifneq ($(TLP_NO_PMUTILS),1)
+	install -m 755 tlp-nop $(_TLIB)/
 	install -D -m 755 49tlp $(_PLIB)/sleep.d/49tlp
 endif
-	install -D -m 644 thinkpad-radiosw $(_ACPI)/events/thinkpad-radiosw
-	install -m 755 thinkpad-radiosw.sh $(_ACPI)/
 ifneq ($(TLP_NO_BASHCOMP),1)
 	install -D -m 644 tlp.bash_completion $(_SHCPL)/tlp
+	ln -sf tlp $(_SHCPL)/tlp-stat
+	ln -sf tlp $(_SHCPL)/bluetooth
+	ln -sf tlp $(_SHCPL)/wifi
+	ln -sf tlp $(_SHCPL)/wwan
 endif
 
-install-rdw:
+install-rdw: all
 	# Package tlp-rdw
 	install -D -m 644 tlp-rdw.rules $(_ULIB)/rules.d/85-tlp-rdw.rules
 	install -D -m 755 tlp-rdw-udev $(_ULIB)/tlp-rdw-udev
 	install -D -m 755 tlp-rdw-nm $(_NMDSP)/99tlp-rdw-nm
+
+install-man:
+	# manpages
+	install -d -m 755 $(_MAN)/man1
+	install -m 644 man/{bluetooth,run-on-ac,run-on-bat,wifi,wwan}.1 $(_MAN)/man1/
+	install -d -m 755 $(_MAN)/man8
+	install -m 644 man/{tlp,tlp-stat}.8 $(_MAN)/man8/
 
 install: install-tlp install-rdw
 
@@ -102,8 +131,10 @@
 	rm -f $(_SYSD)/tlp.service
 	rm -f $(_SYSD)/tlp-sleep.service
 	rm -f $(_PLIB)/sleep.d/49tlp
-	rm $(_ACPI)/events/thinkpad-radiosw
-	rm $(_ACPI)/thinkpad-radiosw.sh
+	rm -f $(_SHCPL)/tlp-stat
+	rm -f $(_SHCPL)/bluetooth
+	rm -f $(_SHCPL)/wifi
+	rm -f $(_SHCPL)/wwan
 	rm -f $(_SHCPL)/tlp
 
 uninstall-rdw:
@@ -112,5 +143,10 @@
 	rm $(_ULIB)/tlp-rdw-udev
 	rm $(_NMDSP)/99tlp-rdw-nm
 
+uninstall-man:
+	# manpages
+	rm $(_MAN)/man1/{bluetooth,run-on-ac,run-on-bat,wifi,wwan}.1
+	rm $(_MAN)/man8/{tlp,tlp-stat}.8
+
 uninstall: uninstall-tlp uninstall-rdw
