=== debian/changelog ===
tlp (0.9-3) unstable; urgency=low

  * [be57ce6] Fix invocation of dh_gencontrol with $(SUBSTVARS)
    Previous invocation lacked a double-dash before the options meant for
    dpkg-gencontrol, so dh_gencontrol didn't actually add the substitution
    variable (eg. linux-tools) to Recommends when building on Ubuntu.
    Thanks to Thomas Koch for spotting this.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 25 Jan 2017 01:35:31 +0100

tlp (0.9-2) unstable; urgency=low

  * [b8cbaa7] Recommend linux-tools on Ubuntu only (Closes: #852204)
  * [da84365] Add missing dependency on lsb-base

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 22 Jan 2017 23:18:29 +0100

tlp (0.9-1) unstable; urgency=medium

  * New upstream version 0.9

  [ Raphaël Halimi ]
  * Merge changes from upstream's debian/current branch

  [Thomas Koch]
  * debian/rules: add 'make clean' to clean target
  * debian/tlp.maintscript:
    - add rm_conffile /etc/acpi/events/thinkpad-radiosw,
      /etc/acpi/thinkpad-radiosw.sh (upstream removed feature)
  * debian/tlp.postinst,postrm:
    - upstream moved tlp-nop to /usr/share/tlp-pm/
    - use deb-systemd-helper to mask/unmask systemd-rfkill.service
  * debian/control:
    - Standards-Version: 3.9.8
    - point Vcs-git to https://...
  * debian/watch: adapt to GitHub releases

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 13 Sep 2016 04:43:28 +0200
