=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-systemd
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tlp.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/tlp.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tlp.git
 Homepage: http://linrunner.de/tlp
 
 Package: tlp
 Architecture: all
 Depends: ${misc:Depends},
+         lsb-base,
          hdparm,
          iw | wireless-tools,
          pciutils,
@@ -19,8 +20,8 @@
          usbutils
 Recommends: tlp-rdw,
             ethtool,
-            linux-tools,
-            smartmontools
+            smartmontools,
+            ${dist:Recommends}
 Suggests: tp-smapi-dkms,
           acpi-call-dkms
 Conflicts: laptop-mode-tools
