=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
+# Debian doesn't provide x86_energy_perf_policy, but Ubuntu does
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+	SUBSTVARS = -Vdist:Recommends="linux-tools"
+endif
+
 # Build: no binaries to build; but keeps lintian happy ...
 build-arch:
 	# do nothing
@@ -23,7 +28,7 @@
 	dh_testdir
 	dh_testroot
 	# add here commands to clean up after the build process.
-	# $(MAKE) clean
+	$(MAKE) clean
 	dh_clean
 
 # Install tlp
@@ -47,7 +52,7 @@
 	dh_fixperms -p$@
 	dh_installdeb -p$@
 	dh_shlibdeps -p$@
-	dh_gencontrol -p$@
+	dh_gencontrol -p$@ -- $(SUBSTVARS)
 	dh_md5sums -p$@
 	dh_builddeb -p$@
