## tlp 1.0

=== Makefile ===
--- 
+++ 
@@ -3,12 +3,13 @@
 # Evaluate parameters
 TLP_SBIN   ?= /usr/sbin
 TLP_BIN    ?= /usr/bin
-TLP_TLIB   ?= /usr/share/tlp-pm
+TLP_TLIB   ?= /usr/share/tlp
 TLP_PLIB   ?= /usr/lib/pm-utils
 TLP_ULIB   ?= /lib/udev
 TLP_NMDSP  ?= /etc/NetworkManager/dispatcher.d
 TLP_CONF   ?= /etc/default/tlp
 TLP_SYSD   ?= /lib/systemd/system
+TLP_SYSV   ?= /etc/init.d
 TLP_SHCPL  ?= /usr/share/bash-completion/completions
 TLP_MAN    ?= /usr/share/man
 
@@ -21,6 +22,7 @@
 _NMDSP = $(DESTDIR)$(TLP_NMDSP)
 _CONF  = $(DESTDIR)$(TLP_CONF)
 _SYSD  = $(DESTDIR)$(TLP_SYSD)
+_SYSV  = $(DESTDIR)$(TLP_SYSV)
 _SHCPL = $(DESTDIR)$(TLP_SHCPL)
 _MAN   = $(DESTDIR)$(TLP_MAN)
 
@@ -46,6 +48,33 @@
 	tlp-stat \
 	tlp.upstart \
 	tlp-usb-udev
+
+MANFILES1 = \
+	bluetooth.1 \
+	run-on-ac.1 \
+	run-on-bat.1 \
+	tlp-pcilist.1 \
+	tlp-usblist.1 \
+	wifi.1 \
+	wwan.1
+
+MANFILES8 = \
+	tlp.8 \
+	tlp-stat.8 \
+	tlp.service.8 \
+	tlp-sleep.service.8
+
+SHFILES = \
+	tlp.in \
+	tlp-functions.in \
+	tlp-nop.in \
+	tlp-rdw-nm.in \
+	tlp-rdw-udev.in \
+	tlp-rf-func \
+	tlp-rf.in \
+	tlp-run-on.in \
+	tlp-stat.in \
+	tlp-usb-udev.in
 
 # Make targets
 all: $(INFILES)
@@ -76,7 +105,7 @@
 	install -D -m 644 tlp.rules $(_ULIB)/rules.d/85-tlp.rules
 	[ -f $(_CONF) ] || install -D -m 644 default $(_CONF)
 ifneq ($(TLP_NO_INIT),1)
-	install -D -m 755 tlp.init $(DESTDIR)/etc/init.d/tlp
+	install -D -m 755 tlp.init $(_SYSV)/tlp
 endif
 ifeq ($(TLP_WITH_SYSTEMD),1)
 	install -D -m 644 tlp.service $(_SYSD)/tlp.service
@@ -102,10 +131,10 @@
 
 install-man:
 	# manpages
-	install -d -m 755 $(_MAN)/man1
-	install -m 644 man/{bluetooth,run-on-ac,run-on-bat,wifi,wwan}.1 $(_MAN)/man1/
-	install -d -m 755 $(_MAN)/man8
-	install -m 644 man/{tlp,tlp-stat}.8 $(_MAN)/man8/
+	install -d 755 $(_MAN)/man1
+	cd man && install -m 644 $(MANFILES1) $(_MAN)/man1/
+	install -d 755 $(_MAN)/man8
+	cd man && install -m 644 $(MANFILES8) $(_MAN)/man8/
 
 install: install-tlp install-rdw
 
@@ -145,8 +174,10 @@
 
 uninstall-man:
 	# manpages
-	rm $(_MAN)/man1/{bluetooth,run-on-ac,run-on-bat,wifi,wwan}.1
-	rm $(_MAN)/man8/{tlp,tlp-stat}.8
+	cd $(_MAN)/man1 && rm -f $(MANFILES1)
+	cd $(_MAN)/man8 && rm -f $(MANFILES8)
 
 uninstall: uninstall-tlp uninstall-rdw
 
+checkbashisms:
+	checkbashisms $(SHFILES) || true
