=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-systemd
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9.20160709)
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tlp.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/tlp.git
 Homepage: http://linrunner.de/tlp
@@ -42,6 +41,7 @@
 
 Package: tlp-rdw
 Architecture: all
+Pre-Depends: dpkg (>= 1.17.14)
 Depends: ${misc:Depends},
          network-manager,
          tlp
