## tlp 1.1

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 TLP_SYSV   ?= /etc/init.d
 TLP_SHCPL  ?= /usr/share/bash-completion/completions
 TLP_MAN    ?= /usr/share/man
+TLP_META   ?= /usr/share/metainfo
+TLP_RUN    ?= /run/tlp
 
 # Catenate DESTDIR to paths
 _SBIN  = $(DESTDIR)$(TLP_SBIN)
@@ -25,13 +27,16 @@
 _SYSV  = $(DESTDIR)$(TLP_SYSV)
 _SHCPL = $(DESTDIR)$(TLP_SHCPL)
 _MAN   = $(DESTDIR)$(TLP_MAN)
+_META  = $(DESTDIR)$(TLP_META)
+_RUN   = $(DESTDIR)$(TLP_RUN)
 
 SED = sed \
 	-e "s|@TLP_SBIN@|$(TLP_SBIN)|g" \
 	-e "s|@TLP_TLIB@|$(TLP_TLIB)|g" \
 	-e "s|@TLP_PLIB@|$(TLP_PLIB)|g" \
 	-e "s|@TLP_ULIB@|$(TLP_ULIB)|g" \
-	-e "s|@TLP_CONF@|$(TLP_CONF)|g"
+	-e "s|@TLP_CONF@|$(TLP_CONF)|g" \
+	-e "s|@TLP_RUN@|$(TLP_RUN)|g"
 
 INFILES = \
 	tlp \
@@ -122,6 +127,7 @@
 	ln -sf tlp $(_SHCPL)/wifi
 	ln -sf tlp $(_SHCPL)/wwan
 endif
+	install -D -m 644 de.linrunner.tlp.metainfo.xml $(_META)/de.linrunner.tlp.metainfo.xml
 
 install-rdw: all
 	# Package tlp-rdw
@@ -165,6 +171,7 @@
 	rm -f $(_SHCPL)/wifi
 	rm -f $(_SHCPL)/wwan
 	rm -f $(_SHCPL)/tlp
+	rm -f $(_META)/de.linrunner.tlp.metainfo.xml
 
 uninstall-rdw:
 	# Package tlp-rdw
