=== debian/changelog ===
tlp (1.1-2ubuntu1) bionic; urgency=medium

  * Demote linux-tools Recommends to Suggests and prefer generic (LP: #1783455)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Jul 2018 20:00:47 -0600

tlp (1.1-2) unstable; urgency=medium

  * [59b316a] Demote smartmontools from Recommends to Suggests
    smartmontools dependencies end up pulling in a mail server, which may
    not be wanted on desktop installations (Closes: 894150) (LP: 1758798)
  * [56bc43f] debian/control: cosmetic changes
  * [b407a57] debian/control: update Vcs-* URLs for Salsa migration
  * [5538eec] README.Debian: fix mix up between stable/oldstable/oldoldstable
  * [a78888a] Override lintian warning about unusual WantedBy target
  * [7b94358] Override lintian warning about missing test suite

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 27 Mar 2018 15:02:15 +0200

tlp (1.1-1) unstable; urgency=medium

  * [44a3801] New upstream version 1.1

    Highlights:

    - Disks
      + SATA_LINKPWR_ON_AC/BAT: try multiple values to support new recommended
        ALPM policy "med_power_with_dipm" in kernel 4.15

    - Processor
      + ENERGY_PERF_POLICY_ON_AC/BAT: support changed values performance,
        balance-performance, default, balance-power, power

    - ThinkPad Battery
      + Support ThinkPad 13 1st & 2nd Gen, E130; new tpacpi-bat version
      + tlp-stat --psup: show ASLbase for tpacpi-bat (in device/path)
      + tlp discharge: show state of battery and force_discharge

    - USB
      + USB_BLACKLIST_PRINTER: exclude printers from autosuspend

  [ Thomas Koch ]
  * [05ce2a3] Use upstream de.linrunner.tlp.metainfo.xml

  [ Raphaël Halimi ]
  * [484d00d] debian/gbp.conf: enforce pristine-tar usage
  * [60287fa] debian/copyright: update copyrights years
  * [2095e80] Bump Standards-Version to 4.1.3

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 25 Jan 2018 11:03:15 +0100
