=== debian/control ===
Source: tlp
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9.20160709)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/moonsweep-guest/tlp
Vcs-Git: https://salsa.debian.org/moonsweep-guest/tlp.git
Homepage: http://linrunner.de/tlp

Package: tlp
Architecture: all
Depends: lsb-base, hdparm, iw | wireless-tools, pciutils, rfkill, usbutils, ${misc:Depends}
Recommends: tlp-rdw, ethtool
Suggests: tp-smapi-dkms, acpi-call-dkms, smartmontools, ${dist:Suggests}
Conflicts: laptop-mode-tools
Description: Save battery power on laptops
 TLP is an advanced power management tool for Linux. It comes with a
 default configuration already optimized for battery life. At the same
 time it is highly customizable to fulfil specific user requirements.
 .
 TLP supplies separate settings profiles for AC and battery power and can
 enable or disable bluetooth, WiFi and WWAN radio devices upon system startup.
 .
 For ThinkPads it provides a unified way to configure charging thresholds and
 recalibrate the battery for all models which support it (via tp-smapi or
 acpi-call).
 .
 TLP is a pure command line tool with automated background tasks, it
 does not contain a GUI.

Package: tlp-rdw
Architecture: all
Pre-Depends: dpkg (>= 1.17.14)
Depends: network-manager, tlp, ${misc:Depends}
Description: Radio device wizard
 Radio device wizard is an add-on to TLP. It provides event based
 switching of:
  - bluetooth, wifi, wwan radio devices
  - upon network connect/disconnect
  - and dock/undock.
