## tlp 1.2.1

=== Makefile ===
--- 
+++ 
@@ -4,12 +4,13 @@
 TLP_SBIN   ?= /usr/sbin
 TLP_BIN    ?= /usr/bin
 TLP_TLIB   ?= /usr/share/tlp
-TLP_PLIB   ?= /usr/lib/pm-utils
+TLP_FLIB   ?= /usr/share/tlp/func.d
 TLP_ULIB   ?= /lib/udev
 TLP_NMDSP  ?= /etc/NetworkManager/dispatcher.d
 TLP_CONF   ?= /etc/default/tlp
 TLP_SYSD   ?= /lib/systemd/system
 TLP_SYSV   ?= /etc/init.d
+TLP_ELOD   ?= /lib/elogind/system-sleep
 TLP_SHCPL  ?= /usr/share/bash-completion/completions
 TLP_MAN    ?= /usr/share/man
 TLP_META   ?= /usr/share/metainfo
@@ -19,12 +20,13 @@
 _SBIN  = $(DESTDIR)$(TLP_SBIN)
 _BIN   = $(DESTDIR)$(TLP_BIN)
 _TLIB  = $(DESTDIR)$(TLP_TLIB)
-_PLIB  = $(DESTDIR)$(TLP_PLIB)
+_FLIB  = $(DESTDIR)$(TLP_FLIB)
 _ULIB  = $(DESTDIR)$(TLP_ULIB)
 _NMDSP = $(DESTDIR)$(TLP_NMDSP)
 _CONF  = $(DESTDIR)$(TLP_CONF)
 _SYSD  = $(DESTDIR)$(TLP_SYSD)
 _SYSV  = $(DESTDIR)$(TLP_SYSV)
+_ELOD  = $(DESTDIR)$(TLP_ELOD)
 _SHCPL = $(DESTDIR)$(TLP_SHCPL)
 _MAN   = $(DESTDIR)$(TLP_MAN)
 _META  = $(DESTDIR)$(TLP_META)
@@ -33,18 +35,18 @@
 SED = sed \
 	-e "s|@TLP_SBIN@|$(TLP_SBIN)|g" \
 	-e "s|@TLP_TLIB@|$(TLP_TLIB)|g" \
-	-e "s|@TLP_PLIB@|$(TLP_PLIB)|g" \
+	-e "s|@TLP_FLIB@|$(TLP_FLIB)|g" \
 	-e "s|@TLP_ULIB@|$(TLP_ULIB)|g" \
 	-e "s|@TLP_CONF@|$(TLP_CONF)|g" \
 	-e "s|@TLP_RUN@|$(TLP_RUN)|g"
 
 INFILES = \
 	tlp \
-	tlp-functions \
-	tlp-nop \
+	tlp-func-base \
 	tlp-rdw-nm \
 	tlp-rdw.rules \
 	tlp-rdw-udev \
+	tlp-rdw \
 	tlp-rf \
 	tlp.rules \
 	tlp-run-on \
@@ -69,13 +71,16 @@
 	tlp.service.8 \
 	tlp-sleep.service.8
 
+MANFILESRDW8 = \
+	tlp-rdw.8
+
 SHFILES = \
 	tlp.in \
-	tlp-functions.in \
-	tlp-nop.in \
+	tlp-func-base.in \
+	func.d/* \
+	tlp-rdw.in \
 	tlp-rdw-nm.in \
 	tlp-rdw-udev.in \
-	tlp-rf-func \
 	tlp-rf.in \
 	tlp-run-on.in \
 	tlp-stat.in \
@@ -104,8 +109,8 @@
 ifneq ($(TLP_NO_TPACPI),1)
 	install -D -m 755 tpacpi-bat $(_TLIB)/tpacpi-bat
 endif
-	install -D -m 755 tlp-functions $(_TLIB)/tlp-functions
-	install -m 755 tlp-rf-func $(_TLIB)/
+	install -D -m 755 tlp-func-base $(_TLIB)/tlp-func-base
+	install -D -m 755 --target-directory $(_TLIB)/func.d func.d/*
 	install -D -m 755 tlp-usb-udev $(_ULIB)/tlp-usb-udev
 	install -D -m 644 tlp.rules $(_ULIB)/rules.d/85-tlp.rules
 	[ -f $(_CONF) ] || install -D -m 644 default $(_CONF)
@@ -116,9 +121,8 @@
 	install -D -m 644 tlp.service $(_SYSD)/tlp.service
 	install -m 644 tlp-sleep.service $(_SYSD)/
 endif
-ifneq ($(TLP_NO_PMUTILS),1)
-	install -m 755 tlp-nop $(_TLIB)/
-	install -D -m 755 49tlp $(_PLIB)/sleep.d/49tlp
+ifeq ($(TLP_WITH_ELOGIND),1)
+	install -D -m 755 tlp-sleep.elogind $(_ELOD)/49-tlp-sleep
 endif
 ifneq ($(TLP_NO_BASHCOMP),1)
 	install -D -m 644 tlp.bash_completion $(_SHCPL)/tlp
@@ -131,9 +135,13 @@
 
 install-rdw: all
 	# Package tlp-rdw
+	install -D -m 755 tlp-rdw $(_BIN)/tlp-rdw
 	install -D -m 644 tlp-rdw.rules $(_ULIB)/rules.d/85-tlp-rdw.rules
 	install -D -m 755 tlp-rdw-udev $(_ULIB)/tlp-rdw-udev
 	install -D -m 755 tlp-rdw-nm $(_NMDSP)/99tlp-rdw-nm
+ifneq ($(TLP_NO_BASHCOMP),1)
+	install -D -m 644 tlp-rdw.bash_completion $(_SHCPL)/tlp-rdw
+endif
 
 install-man:
 	# manpages
@@ -141,6 +149,11 @@
 	cd man && install -m 644 $(MANFILES1) $(_MAN)/man1/
 	install -d 755 $(_MAN)/man8
 	cd man && install -m 644 $(MANFILES8) $(_MAN)/man8/
+
+install-man-rdw:
+	# manpages
+	install -d 755 $(_MAN)/man8
+	cd man-rdw && install -m 644 $(MANFILESRDW8) $(_MAN)/man8/
 
 install: install-tlp install-rdw
 
@@ -155,17 +168,13 @@
 	rm $(_BIN)/tlp-stat
 	rm $(_BIN)/tlp-usblist
 	rm $(_BIN)/tlp-pcilist
-	rm -f $(_TLIB)/tpacpi-bat
-	rm $(_TLIB)/tlp-functions
-	rm $(_TLIB)/tlp-rf-func
-	rm $(_TLIB)/tlp-nop
-	rmdir $(_TLIB)
+	rm -r $(_TLIB)
 	rm $(_ULIB)/tlp-usb-udev
 	rm $(_ULIB)/rules.d/85-tlp.rules
 	rm -f $(DESTDIR)/etc/init.d/tlp
 	rm -f $(_SYSD)/tlp.service
 	rm -f $(_SYSD)/tlp-sleep.service
-	rm -f $(_PLIB)/sleep.d/49tlp
+	rm -f $(_ELOD)/49-tlp-sleep
 	rm -f $(_SHCPL)/tlp-stat
 	rm -f $(_SHCPL)/bluetooth
 	rm -f $(_SHCPL)/wifi
@@ -175,16 +184,30 @@
 
 uninstall-rdw:
 	# Package tlp-rdw
+	rm $(_BIN)/tlp-rdw
 	rm $(_ULIB)/rules.d/85-tlp-rdw.rules
 	rm $(_ULIB)/tlp-rdw-udev
 	rm $(_NMDSP)/99tlp-rdw-nm
+	rm -f $(_SHCPL)/tlp-rdw
 
 uninstall-man:
 	# manpages
 	cd $(_MAN)/man1 && rm -f $(MANFILES1)
 	cd $(_MAN)/man8 && rm -f $(MANFILES8)
 
+uninstall-man-rdw:
+	# manpages
+	cd $(_MAN)/man8 && rm -f $(MANFILESRDW8)
+
 uninstall: uninstall-tlp uninstall-rdw
+
+checkall: checkbashisms shellcheck checkdupconst
 
 checkbashisms:
 	checkbashisms $(SHFILES) || true
+
+shellcheck:
+	shellcheck -s dash $(SHFILES) || true
+
+checkdupconst:
+	{ sed -n -r -e 's,^.*readonly\s+([A-Za-z_][A-Za-z_0-9]*)=.*$$,\1,p' $(SHFILES) | sort | uniq -d; } || true
