=== debian/changelog ===
tlp (1.2.1-1) unstable; urgency=medium

  * [9c53a90] New upstream version 1.2 (LP: #1814083)
  * [c273e03] New upstream version 1.2.1 (bugfix release)

  Highlights:

  - Disks
    + Support for NVMe, USB, IEEE1394 devices
    + Support for multi queue I/O schedulers (blk-mq)

  - General
    + Manual mode: keep tlp ac/bat power settings (until reboot or tlp start)

  - Graphics
    + Intel GPU frequency limits

  - Radio Devices
    + tlp-rdw: new command to disable RDW actions temporarily (until reboot)
    + USB_BLACKLIST_WWAN: disable by default

  - ThinkPad Battery
    + New native kernel API for battery features "natacpi"; used by default
      for kernels >= 4.17
    + Support ThinkPad 25, *80 (Coffee Lake) and all newer models
    + tlp-stat: improved recommendations for external kernel modules

  - USB
    + Exclude scanners managed by libsane from autosuspend

  [ Thomas Koch ]
  * [047ba95] Remove all pm-utils related stuff
  * [dcfe4a1] Demote linux-tools Recommends to Suggests and prefer generic
    (LP: #1783455)
  * [0bd7f4b] debian/install: reflect func.d changes
  * [6148158] New command tlp-rdw
  * [c4d9030] debian/tlp.docs: README --> README.md
  * [e6fc28f] debian/control: use https for Homepage field

  [ Raphaël Halimi ]
  * [de3c365] Bump Standards-Version to 4.3.0
  * [d180097] debian/copyright: update copyrights years
  * [35e4c0a] debian/copyright: add AppStream metadata file license (MIT)
  * [f1798c6] Remove obsolete lintian override about unusual WantedBy target
    (fixed in lintian 2.5.118)
  * [4178f68] Include upstream elogind sleep hook

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 02 Apr 2019 19:05:16 +0200
