=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: tlp
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
+Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9.20160709)
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/moonsweep-guest/tlp
 Vcs-Git: https://salsa.debian.org/moonsweep-guest/tlp.git
-Homepage: http://linrunner.de/tlp
+Homepage: https://linrunner.de/tlp
 
 Package: tlp
 Architecture: all
