=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh $@ --with systemd
 
 override_dh_auto_install:
-	dh_auto_install -- TLP_WITH_SYSTEMD=1
+	dh_auto_install -- TLP_WITH_SYSTEMD=1 TLP_WITH_ELOGIND=1
 
 override_dh_systemd_enable:
 	dh_systemd_enable --package=tlp tlp.service tlp-sleep.service
