## tlp 1.2.2

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 TLP_MAN    ?= /usr/share/man
 TLP_META   ?= /usr/share/metainfo
 TLP_RUN    ?= /run/tlp
+TLP_VAR    ?= /var/lib/tlp
 
 # Catenate DESTDIR to paths
 _SBIN  = $(DESTDIR)$(TLP_SBIN)
@@ -31,6 +32,7 @@
 _MAN   = $(DESTDIR)$(TLP_MAN)
 _META  = $(DESTDIR)$(TLP_META)
 _RUN   = $(DESTDIR)$(TLP_RUN)
+_VAR   = $(DESTDIR)$(TLP_VAR)
 
 SED = sed \
 	-e "s|@TLP_SBIN@|$(TLP_SBIN)|g" \
@@ -38,7 +40,8 @@
 	-e "s|@TLP_FLIB@|$(TLP_FLIB)|g" \
 	-e "s|@TLP_ULIB@|$(TLP_ULIB)|g" \
 	-e "s|@TLP_CONF@|$(TLP_CONF)|g" \
-	-e "s|@TLP_RUN@|$(TLP_RUN)|g"
+	-e "s|@TLP_RUN@|$(TLP_RUN)|g"   \
+	-e "s|@TLP_VAR@|$(TLP_VAR)|g"
 
 INFILES = \
 	tlp \
@@ -117,11 +120,11 @@
 ifneq ($(TLP_NO_INIT),1)
 	install -D -m 755 tlp.init $(_SYSV)/tlp
 endif
-ifeq ($(TLP_WITH_SYSTEMD),1)
+ifneq ($(TLP_WITH_SYSTEMD),0)
 	install -D -m 644 tlp.service $(_SYSD)/tlp.service
 	install -m 644 tlp-sleep.service $(_SYSD)/
 endif
-ifeq ($(TLP_WITH_ELOGIND),1)
+ifneq ($(TLP_WITH_ELOGIND),0)
 	install -D -m 755 tlp-sleep.elogind $(_ELOD)/49-tlp-sleep
 endif
 ifneq ($(TLP_NO_BASHCOMP),1)
@@ -132,6 +135,7 @@
 	ln -sf tlp $(_SHCPL)/wwan
 endif
 	install -D -m 644 de.linrunner.tlp.metainfo.xml $(_META)/de.linrunner.tlp.metainfo.xml
+	install -d -m 755 $(_VAR)
 
 install-rdw: all
 	# Package tlp-rdw
@@ -171,7 +175,7 @@
 	rm -r $(_TLIB)
 	rm $(_ULIB)/tlp-usb-udev
 	rm $(_ULIB)/rules.d/85-tlp.rules
-	rm -f $(DESTDIR)/etc/init.d/tlp
+	rm -f $(_SYSV)/tlp
 	rm -f $(_SYSD)/tlp.service
 	rm -f $(_SYSD)/tlp-sleep.service
 	rm -f $(_ELOD)/49-tlp-sleep
@@ -181,6 +185,7 @@
 	rm -f $(_SHCPL)/wwan
 	rm -f $(_SHCPL)/tlp
 	rm -f $(_META)/de.linrunner.tlp.metainfo.xml
+	rm -r $(_VAR)
 
 uninstall-rdw:
 	# Package tlp-rdw
