=== debian/changelog ===
tlp (1.2.2-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 04 Dec 2019 21:24:37 -0500

tlp (1.2.2-1) unstable; urgency=medium

  * [e8bc815] New upstream version 1.2.2 (bugfix release)

  Fixed bugs:

  - Battery Features, tlp-stat -b
    + Show data for batteries named other than BAT0/BAT1 (non-ThinkPads)
    + Fix ThinkPad X1C6 discharge malfunction
    + Separate checks for charge thresholds and recalibration
    + Intelligible recommendation for tp-smapi on ThinkPad X220/T420 et al.
    + Explain "Battery Features: Charge Thresholds and Recalibrate"

  - Disks
    + Fix type determination

  - Operation Mode AC/BAT
    + MacBookPro 5.3: workaround for false AC offline status

  - Processor, tlp-stat -p
    + Fix read of /sys/devices/system/cpu/cpufreq/boost
    + x86_energy_perf_policy: detect unsupported CPUs in newer versions

  - Radio Devices
    + Make RESTORE_DEVICE_STATE_ON_STARTUP=1 persistent again

  [ Thomas Koch ]
  * [33ccb36] tlp.postinst/rm: remove mask/unmask of upstart hooks.
  * [2102e62] debian/tlp.install: add /var/lib/tlp

  [ Raphaël Halimi ]
  * [15f1cb6] debian/rules: remove useless override_dh_auto_install
    (TLP_WITH_SYSTEMD and TLP_WITH_ELOGIND are now enabled by default)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 22 May 2019 16:52:45 +0200
